package com.usky.vpp.service;

import com.usky.vpp.service.vo.ResponseCompareVO;
import com.usky.vpp.service.vo.ResponseLoadAnalysisVO;
import com.usky.vpp.service.vo.ResponseMonitorTreeNodeVO;

import java.util.List;

/**
 * 响应监控业务接口
 */
public interface VppResponseMonitorService {

    List<ResponseMonitorTreeNodeVO> getResourceTree(String keyword);

    ResponseLoadAnalysisVO getLoadAnalysis(Long siteId, String date, Long eventId);

    ResponseCompareVO compare(String siteIds, String date);
}
